From: "Theo Anderson" <telans@posteo.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: sys-auth/mrsh/
Date: Tue, 2 Mar 2021 09:02:40 +0000 (UTC) [thread overview]
Message-ID: <1614576511.5a37335ff00e3982117155c5089e50a0790c7950.telans@gentoo> (raw)
commit: 5a37335ff00e3982117155c5089e50a0790c7950
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Mon Mar 1 05:22:24 2021 +0000
Commit: Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Mon Mar 1 05:28:31 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5a37335f
sys-auth/mrsh: make systemd units not executable
Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
sys-auth/mrsh/mrsh-2.12-r1.ebuild | 39 +++++++++++++++++++++++++++++++++++++++
1 file changed, 39 insertions(+)
diff --git a/sys-auth/mrsh/mrsh-2.12-r1.ebuild b/sys-auth/mrsh/mrsh-2.12-r1.ebuild
new file mode 100644
index 00000000..d984b9d2
--- /dev/null
+++ b/sys-auth/mrsh/mrsh-2.12-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit systemd
+
+DESCRIPTION="Mrsh is a set of remote shell programs that use munge authentication."
+HOMEPAGE="https://github.com/chaos/mrsh"
+SRC_URI="https://github.com/chaos/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="pam shadow"
+DEPEND="
+ sys-auth/munge
+
+ pam? ( sys-libs/pam )
+ shadow? ( sys-apps/shadow )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/union-wait-deprecated.diff" )
+
+src_configure() {
+ local myconf=(
+ --disable-static
+ --with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+ $(use_with pam)
+ $(use_with shadow)
+ )
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+ #remove executable bit from systemd units
+ chmod a-x "${ED}/$(systemd_get_systemunitdir)"/* || die
+}
next reply other threads:[~2021-03-02 9:02 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-03-02 9:02 Theo Anderson [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-03-28 11:43 [gentoo-commits] repo/proj/guru:master commit in: sys-auth/mrsh/ Andrew Ammerlaan
2020-03-08 16:26 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-03-08 16:26 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1614576511.5a37335ff00e3982117155c5089e50a0790c7950.telans@gentoo \
--to=telans@posteo.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox